# -*- coding: utf-8 -*-
from setuphelpers import *
import json

def update_package():
    # Compile
    mkdirs("/var/build")
    run("git clone https://github.com/ibv/LDAP-Admin.git /var/build")
    run(r'git -C /var/build submodule update --progress --init -- "submodules/mORMot2"')
    update_apt()
    install_apt("mingw-w64")
    install_apt("binutils-mingw-w64")
    wget('https://synopse.info/files/mormot2static.7z','mormot2static.7z')
    run('7zz x -y mormot2static.7z -ostatic')
    remove_tree(r'/var/build/submodules/mORMot2/static')
    os.rename('static',r'/var/build/submodules/mORMot2/static') 
    remove_file('mormot2static.7z')
    run('lazbuild --add-package-link /var/build/submodules/mORMot2/packages/lazarus/mormot2.lpk ')
    
    run("ln -s /usr/bin/x86_64-w64-mingw32-windres /usr/bin/windres")
    version = "0.0.%s" % run(r"git -C /var/build rev-list --count master").strip()
    control.version = "%s-%s" % (version, control.version.split("-", 1)[-1])
    control.save_control_to_wapt()
    run("lazbuild /var/build/Source/LdapAdmin.lpi ")
    # WAPT PAckage prepare
    filecopyto("/var/build/Source/LdapAdmin", "LdapAdmin")
